MODULE L_Test_Feeder_Porta_Grundkrper


    PERS num nSollZyklen_Porta_Grundkrper:=20;



    !***************************************************************************
    !*  Procedure  main                     
    !*                                                        
    !*    
    !*  
    !*                                                        
    !*  Date:          Version:    Programmer:    Reason:     
    !*  26.04.2017        001        FSC/HAS                
    !*************************************************************************** 
    PROC main()

        rR_InitBeforeHome_Porta_Feder;

        rL_Home;

        FOR i FROM 1 TO nSollZyklen_Porta_Grundkrper DO
            rL_Zyklus_Porta_Grundkrper;
            !ENDWHILE
        ENDFOR

        !Signal an Feeder Stopp
        SET do_Pick_links;

        rL_Nullpos;

        Stop;

        RETURN ;
    ENDPROC



    !***************************************************************************
    !*  Procedure  rL_InitBeforeHome_Porta_Grundkrper()
    !*
    !*  InitBeforeHome
    !*
    !*
    !*  Date:          Version:    Programmer:    Reason:
    !*  26.04.2017        001        FSC/HAS
    !***************************************************************************
    PROC rR_InitBeforeHome_Porta_Feder()

        !Socketverbindung ffnen
        SoStatus:=SocketGetStatus(ComSocket);
        IF SoStatus<>SOCKET_CONNECTED THEN
            SocketClose ComSocket;
            rL_ConnectToInSight stIP_Adresse,stUser,stPassword;
        ENDIF

        !Cognex Offline schalten
        SocketSend ComSocket\Str:="SO0\0D\0A";
        SocketReceive ComSocket\Str:=stReceived;
        IF fL_CheckStatus(stReceived,"1")=FALSE THEN
            Stop;
        ENDIF

        WaitTime 1.0;

        !Kalibrierjob laden
        SocketSend ComSocket\Str:="LF057_0145_001\0D\0A";
        SocketReceive ComSocket\Str:=stReceived;
        IF fL_CheckStatus(stReceived,"1")=FALSE THEN
            Stop;
        ENDIF

        WaitTime 1.0;

        !Cognex Online schalten
        SocketSend ComSocket\Str:="SO1\0D\0A";
        SocketReceive ComSocket\Str:=stReceived;
        IF fL_CheckStatus(stReceived,"1")=FALSE THEN
            Stop;
        ENDIF

        WaitTime 4.0;

        !Signal an Feeder Go
        RESET do_Pick_links;

        r_Calibrate_GR;

        r_t_10001_Grundkrper_GR_AUF;

        RETURN ;
    ENDPROC



    !***************************************************************************
    !*  Procedure  rL_Zyklus_Porta_Grundkrper()
    !*
    !*  
    !*
    !*
    !*  Date:          Version:    Programmer:    Reason:
    !*  26.04.2017        001        FSC/HAS
    !***************************************************************************
    PROC rL_Zyklus_Porta_Grundkrper()

        !Koordinaten von Vision an Yumi
        rL_GetVisionData;
        pL_Pick_ZUF.trans.x:=nL_XOffs;
        pL_Pick_ZUF.trans.y:=nL_YOffs;

        !Signal an Feeder Stopp
        SET do_Pick_links;

        rL_TeilAusZUF_L;

        rL_TeilinALS;

        RETURN ;
    ENDPROC



    !***************************************************************************
    !*  Procedure  rL_TeilAusZUF_L()
    !*
    !*  Teil aus Zufhrung links greifen
    !*
    !*
    !*  Date:          Version:    Programmer:    Reason:
    !*  26.04.2017        001        FSC/HAS
    !***************************************************************************
    PROC rL_TeilAusZUF_L()
        !
        SingArea\Wrist;
        !
        ConfL\On;

        !MoveL pPick_Porta_Feder, vFast, z50, tPorta_Feder_GR\WObj:=obFeeder_R;

        MoveL Offs(pL_Pick_ZUF,0,0,50),vMedium,z20,t_10001_Grundkrper_GR\WObj:=obFeeder_L;
        !
        WaitTime 1.0;
        !
        MoveJ RelTool(pL_Pick_ZUF,0,0,-50\Rz:=-nL_Angle),vfast,fine,t_10001_Grundkrper_GR\WObj:=obFeeder_L;
        !
        !--Greifposition
        MoveJ RelTool(pL_Pick_ZUF,0,0,0\Rz:=-nL_Angle),vfast,fine,t_10001_Grundkrper_GR\WObj:=obFeeder_L;
        !
        r_t_10001_Grundkrper_GR_ZU;
        !
        !--50mm vertikal ber Greifposition
        MoveJ RelTool(pL_Pick_ZUF,0,0,-50\Rz:=-nL_Angle),vfast,fine,t_10001_Grundkrper_GR\WObj:=obFeeder_L;
        !
        SingArea\off;
        !
        RETURN ;
    ENDPROC



    !***************************************************************************
    !*  Procedure  rL_TeilinALS()
    !*
    !*  Teil in Ablagestation einlegen
    !*
    !*
    !*  Date:          Version:    Programmer:    Reason:
    !*  26.04.2017        001        FSC/HAS
    !***************************************************************************
    PROC rL_TeilinALS()

        SingArea\Wrist;

        ConfL\On;

        MoveL pL_ALS,vFast,fine,t_10001_Grundkrper_GR\WObj:=obFeeder_L;

        !Signal an Feeder Go
        RESET do_Pick_links;

        r_t_10001_Grundkrper_GR_AUF;

        SingArea\off;

        RETURN ;
    ENDPROC



ENDMODULE